Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.mbeans
Class TCPIPRAMonitor

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
              com.stc.connector.management.jca.system.mbeans.STCRAMonitor
                  com.stc.connector.tcpip.model.mbeans.TCPIPRAMonitor

All Implemented Interfaces:
  java.util.EventListener, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener

    public class TCPIPRAMonitor

extends com.stc.connector.management.jca.system.mbeans.STCRAMonitor

This class is used to add TCP/IP specific mbean properties for monitor display.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/23 07:15:18 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`mActivatedTime, mConfiguration, mDescription, mIsRestartable, mIsStartable, mIsStoppable, mLog, mMBeanServer, mMonitor, mName, mObjectName, mProperties, mShutdownTime, mStarted`

Constructor Summary
`TCPIPRAMonitor(java.lang.String aRAName, java.lang.String aRADescription, com.stc.configuration.IConfiguration aConfiguration, java.lang.String aVersion, java.lang.String aSupportedNodes)` Constructor

Method Summary
`javax.management.MBeanInfo` | `buildMBeanInfo()`
`java.lang.Object` | `getAttribute(java.lang.String aName)`
`java.lang.String` | `getExternalSystemConnectionStatus()` Getter for External System Connection Status
`java.lang.String` | `getLastReceiveOperationTimestamp()`
`java.lang.String` | `getLastSendOperationTimestamp()`
`void` | `setAttribute(javax.management.Attribute aAttribute)`
`void` | `setExternalSystemConnectionStatus(java.lang.String status)` Setter for External System Connection Status
`void` | `setLastReceiveOperationTimestamp(java.lang.String receiveTime)`
`void` | `setLastSendOperationTimestamp(java.lang.String sendTime)`

Methods inherited from class com.stc.connector.management.jca.system.mbeans.STCRAMonitor
`handleNotification, invoke, postRegister`

Methods inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`addNotificationListener, getActivatedTime, getAttributes, getConfigTemplateAsString, getConfigurationAsString, getMBeanInfo, getName, getProperties, getShutdownTime, getStatus, isRestartable, isStartable, isStarted, isStoppable, postDeregister, preDeregister, preRegister, removeNotificationListener, restart, sendNotification, setAttributes, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`getNotificationInfo, handleNotification, removeNotificationListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPRAMonitor

    public TCPIPRAMonitor(java.lang.String aRAName,
                          java.lang.String aRADescription,
                          com.stc.configuration.IConfiguration aConfiguration,
                          java.lang.String aVersion,
                          java.lang.String aSupportedNodes)
                   throws java.lang.Exception

  Constructor

  Parameters:
    `aRAName` - name of the RA
    `aRADescription` - description of the RA
    `aConfiguration` - configuration of the RA
    `aVersion` - version of the RA
    `aSupportedNodes` - supported nodes by the RA
  Throws:
    `java.lang.Exception`

Method Detail

### buildMBeanInfo

    public javax.management.MBeanInfo buildMBeanInfo()

  Overrides:
    `buildMBeanInfo` in class `com.stc.connector.management.jca.system.mbeans.STCRAMonitor`
  See Also:
    `BaseMonitorMBean.buildMBeanInfo()`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String aName)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttribute` in class `com.stc.connector.management.jca.system.mbeans.STCRAMonitor`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
  See Also:
    `DynamicMBean.getAttribute(java.lang.String)`

### setAttribute

    public void setAttribute(javax.management.Attribute aAttribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `setAttribute` in class `com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`
  See Also:
    `DynamicMBean.setAttribute(javax.management.Attribute)`

### getLastReceiveOperationTimestamp

    public java.lang.String getLastReceiveOperationTimestamp()

  See Also:
    `com.stc.connector.tcpip.model.mbeans.TCPIPRAMonitorBean#getLastReceiveOperationTimestamp()`

### getLastSendOperationTimestamp

    public java.lang.String getLastSendOperationTimestamp()

  See Also:
    `com.stc.connector.tcpip.model.mbeans.TCPIPRAMonitorBean#getLastSendOperationTimestamp()`

### getExternalSystemConnectionStatus

    public java.lang.String getExternalSystemConnectionStatus()

  Getter for External System Connection Status

  Returns:
    String a string representing "Up" or "Down" status

### setLastReceiveOperationTimestamp

    public void setLastReceiveOperationTimestamp(java.lang.String receiveTime)

  See Also:
    `com.stc.connector.tcpip.model.mbeans.TCPIPRAMonitorBean#setLastReceiveOperationTimestamp(java.lang.String)`

### setLastSendOperationTimestamp

    public void setLastSendOperationTimestamp(java.lang.String sendTime)

  See Also:
    `com.stc.connector.tcpip.model.mbeans.TCPIPRAMonitorBean#setLastSendOperationTimestamp(java.lang.String)`

### setExternalSystemConnectionStatus

    public void setExternalSystemConnectionStatus(java.lang.String status)

  Setter for External System Connection Status

  Parameters:
    `status` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD